#!/usr/bin/gnuplot -persist
# Taylor polynomial
t9(x) = (x - x**3/3! + x**5/5! - x**7/7! + x**9/9!)
t7(x) = (x - x**3/3! + x**5/5! - x**7/7!)
t5(x) = (x - x**3/3! + x**5/5!)
t3(x) = (x - x**3/3!)
t1(x) = (x)
# Relative error [%]
taylor1(x) = ((t1(x)-sin(x))/sin(x))*100
taylor3(x) = ((t3(x)-sin(x))/sin(x))*100
taylor5(x) = ((t5(x)-sin(x))/sin(x))*100
taylor7(x) = ((t7(x)-sin(x))/sin(x))*100
taylor9(x) = ((t9(x)-sin(x))/sin(x))*100
set grid
set title "Relative error of Taylor series approximation of sin(x)"
set ylabel 'relative error [%]'
set samples 1000
plot [0:3.5][-5:5] taylor1(x), taylor3(x), taylor5(x), taylor7(x), taylor9(x)
pause -1 "Enter"
#EOF
