
#include <stdio.h>

double f(double x) {
    return x*x;
}

double derf(double x) {
    return 2*x;
}

int main(void) {
    double stepsize = 1;
    printf(" f(x) = x^2 \n");
    printf("    x       derf(1)     rel.err \n");
    printf("--------  -----------  --------- \n");
    for(stepsize = 1; stepsize>0.5e-16; stepsize/=10) {
        const double t1 = 1.0;
        const double t2 = t1+stepsize;
        double dif = (f(t2)-f(t1))/stepsize;
        double abserror = dif - derf(t1);
        double relerror = abserror/derf(t1);
        printf("%8g  %-.9f  % .1e\n", stepsize, dif, relerror);
    }
    return 0;
}

